Bug 1011391 - Allow to remove swap partitions from FS layout
Allow to remove swap partitions from FS layout
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 03:53 EDT by Vít Ondruch
Modified: 2013-10-22 01:37 EDT (History)
12 users (show)

See Also:
Fixed In Version: anaconda-20.25.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-22 01:37:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vít Ondruch 2013-09-24 03:53:21 EDT
Description of problem:
Anaconda lists all my swap partitions (which is questionable, bug 972526), but it does not allow to remove any of them from partition list for my current installation. 

Expected results:
Swap regions belonging to other installations should be removable.
Comment 1 Vratislav Podzimek 2013-09-24 16:48:43 EDT
(In reply to Vít Ondruch from comment #0)
> Description of problem:
> Anaconda lists all my swap partitions (which is questionable, bug 972526),
> but it does not allow to remove any of them from partition list for my
> current installation. 
> 
> Expected results:
> Swap regions belonging to other installations should be removable.
What do you mean by removable? I believe it's possible to remove them as partitions. Do you mean it should be possible to avoid writing them to the fstab of the newly installed system? Would it make any sense?
Comment 2 Vít Ondruch 2013-09-25 04:21:54 EDT
1. I have several swap partitions on my system.
2. I go with custom partitioning.
3. As soon as I add root partition for my new OS, all swap partitions are listed there.
4. Select one of the swap partitions and click '-', I assumed that they would go away, but they stay there.
5. That means they are written among kernel parameters in my grug.conf and they are written into fstab as well.

So either they cannot be removed (i.e. they are not removable) or the UI is not comprehensible enough to identify the way how to remove them from current installation.
Comment 3 Chris Murphy 2013-10-16 02:57:03 EDT
Is this bug still reproducible with Fedora 20 beta TC4 (anaconda-20.25-1)?
Comment 4 Fedora Update System 2013-10-16 20:25:56 EDT
anaconda-20.25.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.25.1-1.fc20
Comment 5 Fedora Update System 2013-10-17 16:30:42 EDT
Package anaconda-20.25.1-1.fc20, python-blivet-0.23.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-20.25.1-1.fc20 python-blivet-0.23.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19194/python-blivet-0.23.1-1.fc20,anaconda-20.25.1-1.fc20
then log in and leave karma (feedback).
Comment 6 Gene Czarcinski 2013-10-18 15:58:44 EDT
"Overfixed" ... https://bugzilla.redhat.com/show_bug.cgi?id=1020867

This was/is primarily a GUI problem and noa a kickstart problem. I certainly agree that anaconda should not arbitrarly add swaps to fstab.

My experience with kickstart is that you specifically specify what swap partitions or logical volumes are to be treated as such.
Comment 7 Vít Ondruch 2013-10-21 03:42:41 EDT
I was testing the issue with TC5 and from GUI perspective, it looks OK, although my testing was not very extensive.
Comment 8 Fedora Update System 2013-10-22 01:37:37 EDT
anaconda-20.25.1-1.fc20, python-blivet-0.23.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.